Project

General

Profile

Question #5554

two packages are not available during the installation of ISIS3 on miniconda3

Added by Chen YueLu 7 months ago. Updated 7 months ago.

Status:
Resolved
Priority:
High
Assignee:
Category:
Installation
Target version:
-
Software Version:
Test Reviewer:

Description

My system is Mac OSX 10.13.6. I installed the Mac osx python3.7 64-bit (.pkg installer) miniconda3, and I followed the instructions on uses website 'Installing ISIS', but when I was trying to install ISIS, it told me:

PackagesNotFoundError: The following packages are not available from current channels
- isis3
- libtiff==4.0.9=0

I tried several times, but the result was the same, here is the whole code:

chenyueludeMacBook-Pro:~ chenyuelu$ conda config --add channels conda-forge
Warning: 'conda-forge' already in 'channels' list, moving to the top
chenyueludeMacBook-Pro:~ chenyuelu$ conda config --add channels usgs-astrogeology
Warning: 'usgs-astrogeology' already in 'channels' list, moving to the top
chenyueludeMacBook-Pro:~ chenyuelu$ conda config --show channels
channels:
- usgs-astrogeology
- conda-forge
- defaults
chenyueludeMacBook-Pro:~ chenyuelu$ conda create -n isis3

CondaValueError: prefix already exists: /Applications/miniconda3/envs/isis3

chenyueludeMacBook-Pro:~ chenyuelu$ source activate isis3
(isis3) chenyueludeMacBook-Pro:~ chenyuelu$ conda install -c usgs-astrogeology isis3
Solving environment: failed

PackagesNotFoundError: The following packages are not available from current channels:

  • isis3
  • libtiff==4.0.9=0

Current channels:

To search for alternate channels that may provide the conda package you're
looking for, navigate to

https://anaconda.org

and use the search bar at the top of the page.

Finally I went to https://anaconda.org/usgs-astrogeology/isis3/files to download a package called osx-64/isis3-3.6.0-py36_5.tar.bz2, then move it into the miniconda3 folder, though I don't know where I should put them. But the same error still existed. Please tell me how to do.

I'm sorry that I don't know how to design the layout of my words, and I appreciate your reply!! Thank you!!

History

#1 Updated by simone silvestro 7 months ago

  • Priority changed from Normal to High

Chen YueLu wrote:

My system is Mac OSX 10.13.6. I installed the Mac osx python3.7 64-bit (.pkg installer) miniconda3, and I followed the instructions on uses website 'Installing ISIS', but when I was trying to install ISIS, it told me:

PackagesNotFoundError: The following packages are not available from current channels
- isis3
- libtiff==4.0.9=0

I tried several times, but the result was the same, here is the whole code:

chenyueludeMacBook-Pro:~ chenyuelu$ conda config --add channels conda-forge
Warning: 'conda-forge' already in 'channels' list, moving to the top
chenyueludeMacBook-Pro:~ chenyuelu$ conda config --add channels usgs-astrogeology
Warning: 'usgs-astrogeology' already in 'channels' list, moving to the top
chenyueludeMacBook-Pro:~ chenyuelu$ conda config --show channels
channels:
- usgs-astrogeology
- conda-forge
- defaults
chenyueludeMacBook-Pro:~ chenyuelu$ conda create -n isis3

CondaValueError: prefix already exists: /Applications/miniconda3/envs/isis3

chenyueludeMacBook-Pro:~ chenyuelu$ source activate isis3
(isis3) chenyueludeMacBook-Pro:~ chenyuelu$ conda install -c usgs-astrogeology isis3
Solving environment: failed

PackagesNotFoundError: The following packages are not available from current channels:

  • isis3
  • libtiff==4.0.9=0

Current channels:

To search for alternate channels that may provide the conda package you're
looking for, navigate to

https://anaconda.org

and use the search bar at the top of the page.

Finally I went to https://anaconda.org/usgs-astrogeology/isis3/files to download a package called osx-64/isis3-3.6.0-py36_5.tar.bz2, then move it into the miniconda3 folder, though I don't know where I should put them. But the same error still existed. Please tell me how to do.

I'm sorry that I don't know how to design the layout of my words, and I appreciate your reply!! Thank you!!

Dear ISIS staff, I am experiencing the same problem on LINUX 64 BIT workstation.
Any help would be appreciated.

Thank you very much

Simone

#2 Updated by Jesse Mapel 7 months ago

Hi Simone and Chen,

This is being caused by our package's run environment specification being too restrictive. We've fixed that and are currently in the process of pushing up new builds with a less restrictive run environment specification.

This is an issue that is impacting a lot of users right now so I'm trying to channel everyone over to our github issue https://github.com/USGS-Astrogeology/ISIS3/issues/636.

I'll update here and there once I am done pushing out the new builds. You'll notice that it will update to 3.6.1, this is the same as 3.6.0 except for a bug fix in cubeit and the updated environment specifications.

I hope to get this done soon, but with the holidays and the government potentially shutting down, the best I can say is it should be fixed with in a week or two.

-Jesse Mapel

#3 Updated by Jesse Mapel 7 months ago

  • Assignee set to Jesse Mapel

#4 Updated by Jesse Mapel 7 months ago

  • Status changed from New to In Progress

#5 Updated by Jesse Mapel 7 months ago

This should now be fixed, please re-try installing off of anaconda.

You'll get version 3.6.1 which is 3.6.0 with a fix for this and a fix for a bug in cubeit.

I'd also recommend you clear out your package cache by running conda clean --all prior to installing.

#6 Updated by Jesse Mapel 7 months ago

  • Status changed from In Progress to Resolved

Also available in: Atom PDF